# org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics Class Reference

Font metrics. More...

List of all members.

## Public Attributes
int | AdvanceWidthMax
short | Ascender
short | CaretSlopeRise
short | CaretSlopeRun
short | Descender
int | Flags
bool | IsCustomEncoding
| Whether the encoding is custom (symbolic font).
bool | IsFixedPitch
float | ItalicAngle
short | LineGap
int | MacStyle
short | MinLeftSideBearing
short | MinRightSideBearing
int | NumberOfHMetrics
short | SCapHeight
short | STypoAscender
short | STypoDescender
short | STypoLineGap
short | SxHeight
short | UnderlinePosition
short | UnderlineThickness
float | UnitNorm
| Unit normalization coefficient.
int | UnitsPerEm
short | XMax
short | XMaxExtent
short | XMin
short | YMax
short | YMin

##

Font metrics.

## Member Data Documentation

int org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.AdvanceWidthMax

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.Ascender

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.CaretSlopeRise

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.CaretSlopeRun

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.Descender

int org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.Flags

bool org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.IsCustomEncoding

Whether the encoding is custom (symbolic font).

bool org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.IsFixedPitch

float org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.ItalicAngle

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.LineGap

int org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.MacStyle

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.MinLeftSideBearing

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.MinRightSideBearing

int org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.NumberOfHMetrics

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.SCapHeight

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.STypoAscender

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.STypoDescender

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.STypoLineGap

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.SxHeight

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.UnderlinePosition

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.UnderlineThickness

float org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.UnitNorm

Unit normalization coefficient.

int org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.UnitsPerEm

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.XMax

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.XMaxExtent

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.XMin

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.YMax

short org.pdfclown.documents.contents.fonts.OpenFontParser.FontMetrics.YMin

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.